org.apache.fop.complexscripts.fonts

## Class OTFScript

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.OTFScript

-     public final class OTFScript
      extends java.lang.Object

  Script tags defined by OTF specification. Note that this set and their values do not correspond with ISO 15924 or Unicode Script names.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARABIC`
    `static java.lang.String` | `ARMENIAN`
    `static java.lang.String` | `AVESTAN`
    `static java.lang.String` | `BALINESE`
    `static java.lang.String` | `BAMUM`
    `static java.lang.String` | `BATAK`
    `static java.lang.String` | `BENGALI`
    `static java.lang.String` | `BENGALI_V2`
    `static java.lang.String` | `BOPOMOFO`
    `static java.lang.String` | `BRAHMI`
    `static java.lang.String` | `BRAILLE`
    `static java.lang.String` | `BUGINESE`
    `static java.lang.String` | `BUHID`
    `static java.lang.String` | `BYZANTINE_MUSIC`
    `static java.lang.String` | `CANADIAN_SYLLABICS`
    `static java.lang.String` | `CARIAN`
    `static java.lang.String` | `CHAKMA`
    `static java.lang.String` | `CHAM`
    `static java.lang.String` | `CHEROKEE`
    `static java.lang.String` | `CJK_IDEOGRAPHIC`
    `static java.lang.String` | `COPTIC`
    `static java.lang.String` | `CYPRIOT_SYLLABARY`
    `static java.lang.String` | `CYRILLIC`
    `static java.lang.String` | `DEFAULT`
    `static java.lang.String` | `DESERET`
    `static java.lang.String` | `DEVANAGARI`
    `static java.lang.String` | `DEVANAGARI_V2`
    `static java.lang.String` | `EGYPTIAN_HEIROGLYPHS`
    `static java.lang.String` | `ETHIOPIC`
    `static java.lang.String` | `GEORGIAN`
    `static java.lang.String` | `GLAGOLITIC`
    `static java.lang.String` | `GOTHIC`
    `static java.lang.String` | `GREEK`
    `static java.lang.String` | `GUJARATI`
    `static java.lang.String` | `GUJARATI_V2`
    `static java.lang.String` | `GURMUKHI`
    `static java.lang.String` | `GURMUKHI_V2`
    `static java.lang.String` | `HANGUL`
    `static java.lang.String` | `HANGUL_JAMO`
    `static java.lang.String` | `HANUNOO`
    `static java.lang.String` | `HEBREW`
    `static java.lang.String` | `HIRAGANA`
    `static java.lang.String` | `IMPERIAL_ARAMAIC`
    `static java.lang.String` | `INSCRIPTIONAL_PAHLAVI`
    `static java.lang.String` | `INSCRIPTIONAL_PARTHIAN`
    `static java.lang.String` | `JAVANESE`
    `static java.lang.String` | `KAITHI`
    `static java.lang.String` | `KANNADA`
    `static java.lang.String` | `KANNADA_V2`
    `static java.lang.String` | `KATAKANA`
    `static java.lang.String` | `KAYAH_LI`
    `static java.lang.String` | `KHAROSTHI`
    `static java.lang.String` | `KHMER`
    `static java.lang.String` | `LAO`
    `static java.lang.String` | `LATIN`
    `static java.lang.String` | `LEPCHA`
    `static java.lang.String` | `LIMBU`
    `static java.lang.String` | `LINEAR_B`
    `static java.lang.String` | `LISU`
    `static java.lang.String` | `LYCIAN`
    `static java.lang.String` | `LYDIAN`
    `static java.lang.String` | `MALAYALAM`
    `static java.lang.String` | `MALAYALAM_V2`
    `static java.lang.String` | `MANDAIC`
    `static java.lang.String` | `MATHEMATICAL_ALPHANUMERIC_SYMBOLS`
    `static java.lang.String` | `MEITEI`
    `static java.lang.String` | `MEROITIC_CURSIVE`
    `static java.lang.String` | `MEROITIC_HIEROGLYPHS`
    `static java.lang.String` | `MONGOLIAN`
    `static java.lang.String` | `MUSICAL_SYMBOLS`
    `static java.lang.String` | `MYANMAR`
    `static java.lang.String` | `NEW_TAI_LUE`
    `static java.lang.String` | `NKO`
    `static java.lang.String` | `OGHAM`
    `static java.lang.String` | `OL_CHIKI`
    `static java.lang.String` | `OLD_ITALIC`
    `static java.lang.String` | `OLD_PERSIAN_CUNEIFORM`
    `static java.lang.String` | `OLD_SOUTH_ARABIAN`
    `static java.lang.String` | `OLD_TURKIC`
    `static java.lang.String` | `ORIYA`
    `static java.lang.String` | `ORIYA_V2`
    `static java.lang.String` | `OSMANYA`
    `static java.lang.String` | `PHAGS_PA`
    `static java.lang.String` | `PHOENICIAN`
    `static java.lang.String` | `REJANG`
    `static java.lang.String` | `RUNIC`
    `static java.lang.String` | `SAMARITAN`
    `static java.lang.String` | `SAURASHTRA`
    `static java.lang.String` | `SHARADA`
    `static java.lang.String` | `SHAVIAN`
    `static java.lang.String` | `SINHALA`
    `static java.lang.String` | `SORA_SOMPENG`
    `static java.lang.String` | `SUMERO_AKKADIAN_CUNEIFORM`
    `static java.lang.String` | `SUNDANESE`
    `static java.lang.String` | `SYLOTI_NAGRI`
    `static java.lang.String` | `SYRIAC`
    `static java.lang.String` | `TAGALOG`
    `static java.lang.String` | `TAGBANWA`
    `static java.lang.String` | `TAI_LE`
    `static java.lang.String` | `TAI_THAM`
    `static java.lang.String` | `TAI_VIET`
    `static java.lang.String` | `TAKRI`
    `static java.lang.String` | `TAMIL`
    `static java.lang.String` | `TAMIL_V2`
    `static java.lang.String` | `TELUGU`
    `static java.lang.String` | `TELUGU_V2`
    `static java.lang.String` | `THAANA`
    `static java.lang.String` | `THAI`
    `static java.lang.String` | `TIBETAN`
    `static java.lang.String` | `TIFINAGH`
    `static java.lang.String` | `UGARITIC_CUNEIFORM`
    `static java.lang.String` | `VAI`
    `static java.lang.String` | `WILDCARD`
    `static java.lang.String` | `YI`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDefault(java.lang.String script)`
    `static boolean` | `isWildCard(java.lang.String script)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARABIC

          public static final java.lang.String ARABIC

      See Also:
        Constant Field Values

    - #### ARMENIAN

          public static final java.lang.String ARMENIAN

      See Also:
        Constant Field Values

    - #### AVESTAN

          public static final java.lang.String AVESTAN

      See Also:
        Constant Field Values

    - #### BALINESE

          public static final java.lang.String BALINESE

      See Also:
        Constant Field Values

    - #### BAMUM

          public static final java.lang.String BAMUM

      See Also:
        Constant Field Values

    - #### BATAK

          public static final java.lang.String BATAK

      See Also:
        Constant Field Values

    - #### BENGALI

          public static final java.lang.String BENGALI

      See Also:
        Constant Field Values

    - #### BENGALI_V2

          public static final java.lang.String BENGALI_V2

      See Also:
        Constant Field Values

    - #### BOPOMOFO

          public static final java.lang.String BOPOMOFO

      See Also:
        Constant Field Values

    - #### BRAILLE

          public static final java.lang.String BRAILLE

      See Also:
        Constant Field Values

    - #### BRAHMI

          public static final java.lang.String BRAHMI

      See Also:
        Constant Field Values

    - #### BUGINESE

          public static final java.lang.String BUGINESE

      See Also:
        Constant Field Values

    - #### BUHID

          public static final java.lang.String BUHID

      See Also:
        Constant Field Values

    - #### BYZANTINE_MUSIC

          public static final java.lang.String BYZANTINE_MUSIC

      See Also:
        Constant Field Values

    - #### CANADIAN_SYLLABICS

          public static final java.lang.String CANADIAN_SYLLABICS

      See Also:
        Constant Field Values

    - #### CARIAN

          public static final java.lang.String CARIAN

      See Also:
        Constant Field Values

    - #### CHAKMA

          public static final java.lang.String CHAKMA

      See Also:
        Constant Field Values

    - #### CHAM

          public static final java.lang.String CHAM

      See Also:
        Constant Field Values

    - #### CHEROKEE

          public static final java.lang.String CHEROKEE

      See Also:
        Constant Field Values

    - #### CJK_IDEOGRAPHIC

          public static final java.lang.String CJK_IDEOGRAPHIC

      See Also:
        Constant Field Values

    - #### COPTIC

          public static final java.lang.String COPTIC

      See Also:
        Constant Field Values

    - #### CYPRIOT_SYLLABARY

          public static final java.lang.String CYPRIOT_SYLLABARY

      See Also:
        Constant Field Values

    - #### CYRILLIC

          public static final java.lang.String CYRILLIC

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      See Also:
        Constant Field Values

    - #### DESERET

          public static final java.lang.String DESERET

      See Also:
        Constant Field Values

    - #### DEVANAGARI

          public static final java.lang.String DEVANAGARI

      See Also:
        Constant Field Values

    - #### DEVANAGARI_V2

          public static final java.lang.String DEVANAGARI_V2

      See Also:
        Constant Field Values

    - #### EGYPTIAN_HEIROGLYPHS

          public static final java.lang.String EGYPTIAN_HEIROGLYPHS

      See Also:
        Constant Field Values

    - #### ETHIOPIC

          public static final java.lang.String ETHIOPIC

      See Also:
        Constant Field Values

    - #### GEORGIAN

          public static final java.lang.String GEORGIAN

      See Also:
        Constant Field Values

    - #### GLAGOLITIC

          public static final java.lang.String GLAGOLITIC

      See Also:
        Constant Field Values

    - #### GOTHIC

          public static final java.lang.String GOTHIC

      See Also:
        Constant Field Values

    - #### GREEK

          public static final java.lang.String GREEK

      See Also:
        Constant Field Values

    - #### GUJARATI

          public static final java.lang.String GUJARATI

      See Also:
        Constant Field Values

    - #### GUJARATI_V2

          public static final java.lang.String GUJARATI_V2

      See Also:
        Constant Field Values

    - #### GURMUKHI

          public static final java.lang.String GURMUKHI

      See Also:
        Constant Field Values

    - #### GURMUKHI_V2

          public static final java.lang.String GURMUKHI_V2

      See Also:
        Constant Field Values

    - #### HANGUL

          public static final java.lang.String HANGUL

      See Also:
        Constant Field Values

    - #### HANGUL_JAMO

          public static final java.lang.String HANGUL_JAMO

      See Also:
        Constant Field Values

    - #### HANUNOO

          public static final java.lang.String HANUNOO

      See Also:
        Constant Field Values

    - #### HEBREW

          public static final java.lang.String HEBREW

      See Also:
        Constant Field Values

    - #### HIRAGANA

          public static final java.lang.String HIRAGANA

      See Also:
        Constant Field Values

    - #### IMPERIAL_ARAMAIC

          public static final java.lang.String IMPERIAL_ARAMAIC

      See Also:
        Constant Field Values

    - #### INSCRIPTIONAL_PAHLAVI

          public static final java.lang.String INSCRIPTIONAL_PAHLAVI

      See Also:
        Constant Field Values

    - #### INSCRIPTIONAL_PARTHIAN

          public static final java.lang.String INSCRIPTIONAL_PARTHIAN

      See Also:
        Constant Field Values

    - #### JAVANESE

          public static final java.lang.String JAVANESE

      See Also:
        Constant Field Values

    - #### KAITHI

          public static final java.lang.String KAITHI

      See Also:
        Constant Field Values

    - #### KANNADA

          public static final java.lang.String KANNADA

      See Also:
        Constant Field Values

    - #### KANNADA_V2

          public static final java.lang.String KANNADA_V2

      See Also:
        Constant Field Values

    - #### KATAKANA

          public static final java.lang.String KATAKANA

      See Also:
        Constant Field Values

    - #### KAYAH_LI

          public static final java.lang.String KAYAH_LI

      See Also:
        Constant Field Values

    - #### KHAROSTHI

          public static final java.lang.String KHAROSTHI

      See Also:
        Constant Field Values

    - #### KHMER

          public static final java.lang.String KHMER

      See Also:
        Constant Field Values

    - #### LAO

          public static final java.lang.String LAO

      See Also:
        Constant Field Values

    - #### LATIN

          public static final java.lang.String LATIN

      See Also:
        Constant Field Values

    - #### LEPCHA

          public static final java.lang.String LEPCHA

      See Also:
        Constant Field Values

    - #### LIMBU

          public static final java.lang.String LIMBU

      See Also:
        Constant Field Values

    - #### LINEAR_B

          public static final java.lang.String LINEAR_B

      See Also:
        Constant Field Values

    - #### LISU

          public static final java.lang.String LISU

      See Also:
        Constant Field Values

    - #### LYCIAN

          public static final java.lang.String LYCIAN

      See Also:
        Constant Field Values

    - #### LYDIAN

          public static final java.lang.String LYDIAN

      See Also:
        Constant Field Values

    - #### MALAYALAM

          public static final java.lang.String MALAYALAM

      See Also:
        Constant Field Values

    - #### MALAYALAM_V2

          public static final java.lang.String MALAYALAM_V2

      See Also:
        Constant Field Values

    - #### MANDAIC

          public static final java.lang.String MANDAIC

      See Also:
        Constant Field Values

    - #### MATHEMATICAL_ALPHANUMERIC_SYMBOLS

          public static final java.lang.String MATHEMATICAL_ALPHANUMERIC_SYMBOLS

      See Also:
        Constant Field Values

    - #### MEITEI

          public static final java.lang.String MEITEI

      See Also:
        Constant Field Values

    - #### MEROITIC_CURSIVE

          public static final java.lang.String MEROITIC_CURSIVE

      See Also:
        Constant Field Values

    - #### MEROITIC_HIEROGLYPHS

          public static final java.lang.String MEROITIC_HIEROGLYPHS

      See Also:
        Constant Field Values

    - #### MONGOLIAN

          public static final java.lang.String MONGOLIAN

      See Also:
        Constant Field Values

    - #### MUSICAL_SYMBOLS

          public static final java.lang.String MUSICAL_SYMBOLS

      See Also:
        Constant Field Values

    - #### MYANMAR

          public static final java.lang.String MYANMAR

      See Also:
        Constant Field Values

    - #### NEW_TAI_LUE

          public static final java.lang.String NEW_TAI_LUE

      See Also:
        Constant Field Values

    - #### NKO

          public static final java.lang.String NKO

      See Also:
        Constant Field Values

    - #### OGHAM

          public static final java.lang.String OGHAM

      See Also:
        Constant Field Values

    - #### OL_CHIKI

          public static final java.lang.String OL_CHIKI

      See Also:
        Constant Field Values

    - #### OLD_ITALIC

          public static final java.lang.String OLD_ITALIC

      See Also:
        Constant Field Values

    - #### OLD_PERSIAN_CUNEIFORM

          public static final java.lang.String OLD_PERSIAN_CUNEIFORM

      See Also:
        Constant Field Values

    - #### OLD_SOUTH_ARABIAN

          public static final java.lang.String OLD_SOUTH_ARABIAN

      See Also:
        Constant Field Values

    - #### OLD_TURKIC

          public static final java.lang.String OLD_TURKIC

      See Also:
        Constant Field Values

    - #### ORIYA

          public static final java.lang.String ORIYA

      See Also:
        Constant Field Values

    - #### ORIYA_V2

          public static final java.lang.String ORIYA_V2

      See Also:
        Constant Field Values

    - #### OSMANYA

          public static final java.lang.String OSMANYA

      See Also:
        Constant Field Values

    - #### PHAGS_PA

          public static final java.lang.String PHAGS_PA

      See Also:
        Constant Field Values

    - #### PHOENICIAN

          public static final java.lang.String PHOENICIAN

      See Also:
        Constant Field Values

    - #### REJANG

          public static final java.lang.String REJANG

      See Also:
        Constant Field Values

    - #### RUNIC

          public static final java.lang.String RUNIC

      See Also:
        Constant Field Values

    - #### SAMARITAN

          public static final java.lang.String SAMARITAN

      See Also:
        Constant Field Values

    - #### SAURASHTRA

          public static final java.lang.String SAURASHTRA

      See Also:
        Constant Field Values

    - #### SHARADA

          public static final java.lang.String SHARADA

      See Also:
        Constant Field Values

    - #### SHAVIAN

          public static final java.lang.String SHAVIAN

      See Also:
        Constant Field Values

    - #### SINHALA

          public static final java.lang.String SINHALA

      See Also:
        Constant Field Values

    - #### SORA_SOMPENG

          public static final java.lang.String SORA_SOMPENG

      See Also:
        Constant Field Values

    - #### SUMERO_AKKADIAN_CUNEIFORM

          public static final java.lang.String SUMERO_AKKADIAN_CUNEIFORM

      See Also:
        Constant Field Values

    - #### SUNDANESE

          public static final java.lang.String SUNDANESE

      See Also:
        Constant Field Values

    - #### SYLOTI_NAGRI

          public static final java.lang.String SYLOTI_NAGRI

      See Also:
        Constant Field Values

    - #### SYRIAC

          public static final java.lang.String SYRIAC

      See Also:
        Constant Field Values

    - #### TAGALOG

          public static final java.lang.String TAGALOG

      See Also:
        Constant Field Values

    - #### TAGBANWA

          public static final java.lang.String TAGBANWA

      See Also:
        Constant Field Values

    - #### TAI_LE

          public static final java.lang.String TAI_LE

      See Also:
        Constant Field Values

    - #### TAI_THAM

          public static final java.lang.String TAI_THAM

      See Also:
        Constant Field Values

    - #### TAI_VIET

          public static final java.lang.String TAI_VIET

      See Also:
        Constant Field Values

    - #### TAKRI

          public static final java.lang.String TAKRI

      See Also:
        Constant Field Values

    - #### TAMIL

          public static final java.lang.String TAMIL

      See Also:
        Constant Field Values

    - #### TAMIL_V2

          public static final java.lang.String TAMIL_V2

      See Also:
        Constant Field Values

    - #### TELUGU

          public static final java.lang.String TELUGU

      See Also:
        Constant Field Values

    - #### TELUGU_V2

          public static final java.lang.String TELUGU_V2

      See Also:
        Constant Field Values

    - #### THAANA

          public static final java.lang.String THAANA

      See Also:
        Constant Field Values

    - #### THAI

          public static final java.lang.String THAI

      See Also:
        Constant Field Values

    - #### TIBETAN

          public static final java.lang.String TIBETAN

      See Also:
        Constant Field Values

    - #### TIFINAGH

          public static final java.lang.String TIFINAGH

      See Also:
        Constant Field Values

    - #### UGARITIC_CUNEIFORM

          public static final java.lang.String UGARITIC_CUNEIFORM

      See Also:
        Constant Field Values

    - #### VAI

          public static final java.lang.String VAI

      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final java.lang.String WILDCARD

      See Also:
        Constant Field Values

    - #### YI

          public static final java.lang.String YI

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDefault

          public static boolean isDefault(java.lang.String script)

    - #### isWildCard

          public static boolean isWildCard(java.lang.String script)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.